> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/resources/invoices.md).

# InvoicesResource

You can use invoices to access all invoices in your project

## Methods

### fetchAll()

```ts
fetchAll(params?, includeRelations?): Promise<PaginatedResponse<FirmhouseInvoice>>
```

Retrieve Invoices

#### Parameters

• **params?**

Parameters to filter invoices by

* **after?**: `null` | `string`

  Return the elements in the list that come after the specified cursor.
* **before?**: `null` | `string`

  Return the elements in the list that come before the specified cursor
* **first?**: `null` | `number`

  Return the first n elements from the list
* **invoicedSince?**: `null` | `string`

  List invoices that are invoiced since the given date time.

  **Example**

  ```ts
  2024-01-15T00:00:00+01:00
  ```
* **invoicedUntil?**: `null` | `string`

  List invoices that are invoiced until the given date time.

  **Example**

  ```ts
  2024-01-15T00:00:00+01:00
  ```
* **last?**: `null` | `number`

  Return the last n elements from the list.
* **paymentTypes?**: `null` | [`PaymentTypeEnum`](/sdks/firmhouse-sdk/reference/enumerations/payment-type-enum.md) | [`PaymentTypeEnum`](/sdks/firmhouse-sdk/reference/enumerations/payment-type-enum.md)\[]

  Only list invoices with the given payment types
* **statuses?**: `null` | [`InvoiceStatusEnum`](/sdks/firmhouse-sdk/reference/enumerations/invoice-status-enum.md) | [`InvoiceStatusEnum`](/sdks/firmhouse-sdk/reference/enumerations/invoice-status-enum.md)\[]

  Only list invoices with the given statuses
* **subscriptionId?**: `null` | `string`

  Only list invoices for the subscription with the given ID
* **updatedSince?**: `null` | `string`

  List invoices that are updated since the given date time.

  **Example**

  ```ts
  2024-01-15T00:00:00+01:00
  ```
* **updatedUntil?**: `null` | `string`

  List invoices that are updated until the given date time.

  **Example**

  ```ts
  2024-01-15T00:00:00+01:00
  ```

• **includeRelations?**

Relations to include in the response

* **collectionCases?**: `boolean`

  Include collectionCases relation
* **invoiceLineItems?**: `boolean`

  Include invoiceLineItems relation
* **invoiceReminders?**: `boolean`

  Include invoiceReminders relation
* **originalInvoice?**: `boolean`

  Include originalInvoice relation
* **payment?**: `boolean`

  Include payment relation

#### Returns

`Promise`<[`PaginatedResponse`](/sdks/firmhouse-sdk/reference/typealiases/paginated-response.md)<[`FirmhouseInvoice`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-invoice.md)>>

List of invoices with pagination info


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/resources/invoices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
